--[[
	register.lua
	author: BigBlueHH
]]

local function register()
	local specializationName = "improvedRepairCosts"
	local specializationClassName = "ImprovedRepairCosts"
	local specializationFilename = Utils.getNoNil(Utils.getFilename("ImprovedRepairCosts.lua", g_currentModDirectory),"")
	local searchedSpecialization = "wearable"

	if g_specializationManager:getSpecializationByName(specializationName) == nil then
		g_specializationManager:addSpecialization(specializationName, specializationClassName, specializationFilename, true, nil)
		
		for vehicleType, vehicle in pairs(g_vehicleTypeManager.types) do
			if vehicle ~= nil then
				for name in pairs(vehicle.specializationsByName) do	
					if string.lower(name) == string.lower(searchedSpecialization) then
						local specializationObject = g_specializationManager:getSpecializationObjectByName(specializationName)
						if vehicle.specializationsByName[specializationName] == nil then
							vehicle.specializationsByName[specializationName] = specializationObject
							table.insert(vehicle.specializationNames, specializationName)
							table.insert(vehicle.specializations, specializationObject)
						end
					end
				end
			end
		end
	end
	
end

register()